apiVersion: "ryax.tech/v2.0"
kind: Processor
spec:
  id: csv-io.spark
  human_name: Spark kube managed version of csvio
  type: python3
  version: "0.3.32-no-tolerations"
  resources:
    memory: 4G
    cpu: 1
    time: 72h
  description: Get a csv file as input and produce a directory with the output
  addons:
    kubernetes:
      service_account_name: spark
  dependencies:
  - pkgs.spark_3_2
  - pkgs.scala_3
  - pkgs.unixtools
  - pkgs.openssh
  inputs:
  - help: Input csv file
    human_name: csv_input
    name: csv_input
    type: file
  outputs:
  - help: Output report
    human_name: report
    name: report
    type: file

